# $Revision: 1.33 $, $Date: 2005/06/17 22:43:42 $
#
# Conditional build:
%bcond_without	svga	# without svgalib support
#
Summary:	Lincity is a city/country simulation game for X11 and Linux SVGALib
Summary(pl):	Lincity jest symulatorem miasta/kraju dla X11 oraz SVGALib
Name:		lincity
Version:	1.13.1
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/lincity/%{name}-%{version}.tar.gz
# Source0-md5:	2d37906d4b141cd457ec93d778bb8fe1
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://lincity.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X11 and SVGALib strategy game. You are required to build and maintain
a city. You must feed, house, provide jobs and goods for your
residents. You can build a sustainable economy with the help of
renewable energy and recycling, or you can go for broke and build
rockets to escape from a pollution ridden and resource starved planet,
it's up to you. Due to the finite resources available in any one
place, this is not a game that you can leave for long periods of time.
This package contains shared files for X11 and SVGALib.

%description -l pl
Gra strategiczna dla X11 oraz SVGALib. Trzeba wybudowa miasto i nim
zarzdza. Trzeba karmi mieszkacw, zapewni im mieszkanie, prac i
inne dobra. Mona stworzy solidn gospodark korzystajc z odnawialnych 
rde energii i przetwrstwa odpadw. Mona te wielkim wysikiem 
zbudowa rakiety, aby uciec z zanieczyszczonej, pozbawionej zasobw 
planety. Cae ycie miasta znajduje si w rkach gracza. Ten pakiet 
zawiera pliki wsplne dla wersji X11 oraz SVGALib.

%package X11
Summary:	Lincity for X11
Summary(pl):	Lincity dla X11
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description X11
Executable version for X11.

%description X11 -l pl
Program wykonywalny dla X11.

%package svga
Summary:	Lincity for SVGALib
Summary(pl):	Lincity dla SVGALib
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}

%description svga
Executable version for SVGALib.

%description svga -l pl
Program wykonywalny dla SVGALib.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/lincity.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/lincity.png

echo ".so lincity.6" > $RPM_BUILD_ROOT%{_mandir}/man6/xlincity.6
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Acknowledgements CHANGES COPYRIGHT README* TODO
%{_datadir}/%{name}
%{_mandir}/man?/lincity*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xlincity
%{_desktopdir}/lincity.desktop
%{_pixmapsdir}/lincity.png
%{_mandir}/man?/xlincity*

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lincity
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lincity.spec,v $
Revision 1.33  2005/06/17 22:43:42  zbyniu
- BR: XFree86-devel, libpng-devel

Revision 1.32  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.31  2004/08/01 00:26:11  undefine
- update to 1.13.1

Revision 1.30  2004/07/04 14:17:40  havner
- rel up

Revision 1.29  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.28  2004/03/08 13:11:59  gotar
- _applnkdir -> _desktopdir

Revision 1.27  2004/02/02 19:08:23  undefine
- update to 1.13.0

Revision 1.26  2004/01/23 15:13:58  grzegol
- fixed bcond description

Revision 1.25  2003/12/19 21:22:44  undefine
- build svga version only on ix86/alpha. release 2

Revision 1.24  2003/12/19 20:20:02  undefine
- new style bconds, release 1

Revision 1.23  2003/12/19 19:19:39  undefine
- update to 1.12.0, seems to build... not tested yet :>

Revision 1.22  2003/11/19 00:27:53  undefine
- release 5 to rebuild with ac

Revision 1.21  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.20  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.19  2003/05/27 10:33:31  trojan
- added Source-md5

Revision 1.18  2003/05/25 05:50:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/07 14:41:01  ankry
- desktop moved to Games/Strategy/, rel. 4

Revision 1.16  2003/02/06 01:45:12  kloczek
- rename SVGALib subpackage to svga (all other packages also generates *-svga).

Revision 1.15  2003/02/05 23:49:09  ankry
- really disabled svgalib

Revision 1.14  2003/02/05 22:55:05  ankry
- added an icon
- moved desktop to -X11 package
- fixed translation
- no need for 511 attributes
- adapterized

Revision 1.13  2003/02/05 17:23:25  undefine
- use _applnkdir

Revision 1.12  2003/01/29 09:38:31  matkor
- BR: svaglib-devel

Revision 1.11  2003/01/29 00:06:50  undefine
- relese 3 to rebuild.
- STBRKJM Ra-updates-general! (a jak sie nie bedzie kiedys budowalo to nie
  wywalac z distro tylko dac znac!)

Revision 1.10  2003/01/27 18:51:31  undefine
- typo

Revision 1.9  2002/12/03 21:34:14  ankry
- cleaning

Revision 1.8  2002/08/16 16:36:13  qboosh
- fixes, svgalib version for x86 and alpha; release 2

Revision 1.7  2002/04/22 23:21:06  ankry
- fixed build (broke on manpages)
- added xlincity.6 (.so)

Revision 1.6  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2000/11/15 15:37:41  agaran
Small changes, conditional svgalib build..

Revision 1.3  2000/10/17 11:37:47  undefine
- added BuildRequires: svgalib

Revision 1.2  2000/10/10 16:13:07  undefine

Updating to 1.11, some patches from Debian and spliting to X11 and SVGAlib
package

Revision 1.1  2000/06/19 12:22:27  undefine
Initial PLD version.

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools

* Wed May 27 1998 Michael Maher <mike@redhat.com>
- added buildroot
- patch for egcs

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig file to file list

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- fixed URL
- updated version
